Subject: Re: [PATCH 1/4] ppc64 ftrace implementation

From: Torsten Duwe <[email-masked]>
Date: Mon, 8 Jun 2015 17:57:01 +0200

On Mon, Jun 08, 2015 at 11:30:32AM -0400, Steven Rostedt wrote:
> 
> Why are your patches all as replies?

Because I cared too much about the threading and the series that the
"Re:" escaped me.

> > Implement ftrace on ppc64
> 
> What do you mean "Implement ftrace on ppc64"? It's already implemented.

Sorry, too deep in the details. It's DYNAMIC_FTRACE_WITH_REGS, actually.
Using gcc's -mprofile-kernel to call into ftrace...

> I'm not even going to bother looking at this patch because I have no
> idea what its purpose is.

Understandable ;-)

So: Implement DYNAMIC_FTRACE_WITH_REGS, in order to prepare for live patching.
Other obvious things I forgot to mention?

	Torsten